Bug 1493295 - Satellite 6.3 foreman-templates plugin, API/UI template_sync_prefix has blank space stripped when updated
Summary: Satellite 6.3 foreman-templates plugin, API/UI template_sync_prefix has blank...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Templates Plugin
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
low vote
Target Milestone: 6.4.0
Assignee: Ondřej Pražák
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 20:43 UTC by Billy Holmes
Modified: 2019-11-05 23:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:29:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 22352 0 Normal Closed Satellite 6.3 foreman-templates plugin, API/UI template_sync_prefix has blank space stripped when updated 2021-02-16 16:31:33 UTC

Description Billy Holmes 2017-09-19 20:43:20 UTC
Description of problem:

When using the UI or API, the template_sync_prefix has it's value blank space stripped before persistence. The plugin has configured with the value "community " - notice the space at the end.

This allows templates that are imported to have the following pattern:

community kickstart template
community finishing template
community kickstart PXELinux template

However, upon update with a new prefix (ex: "Company "), the blank space is stripped, and now it looks like this upon import:

Companykickstart template
Companyfinishing template
Comapnykickstart PXELinux template

Further, in the UI, it appears the blank space is visible, until you reload the page, then you see the persistence layer has stripped the blank space.


Version-Release number of selected component (if applicable):

tfm-rubygem-foreman_templates-5.0.1-1.fm1_15.el7sat.noarch


How reproducible:


Steps to Reproduce:
1. Update template_sync_prefix setting via hammer
2. Update template_sync_prefix via API
3. Update template_sync_prefix via UI

Actual results:

Value has it's blank space stripped.

Expected results:

Blank space is preserved.

Additional info:

[root@sat1 foreman-templates]# ./2_prefix_bug
+ hammer settings set --name template_sync_prefix --value 'Local '
Setting [template_sync_prefix] updated to [Local]
++ curl -s --user admin:******** 'https://sat1.example.com/api/settings?search=name=template_sync_prefix'
++ jq '{results}[][0].id'
+ id=168
+ data='{"value": "Local "}'
+ curl -s --user admin:******** https://sat1.example.com/api/settings/168 -X PUT -d '{"value": "Local "}' -H content-type:application/json
+ jq .value
"Local"

Comment 5 Lukas Zapletal 2018-01-22 07:42:20 UTC
Created redmine issue http://projects.theforeman.org/issues/22352 from this bug

Comment 6 Satellite Program 2018-01-22 15:17:12 UTC
Upstream bug assigned to oprazak

Comment 7 Satellite Program 2018-01-22 15:17:16 UTC
Upstream bug assigned to oprazak

Comment 8 Satellite Program 2018-03-27 16:17:14 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22352 has been resolved.

Comment 11 Bryan Kearney 2018-10-16 19:29:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.